Subject: Re: linux-next: rr tree build failure

From: Rusty Russell <[email-masked]>
Date: Tue, 25 Nov 2008 22:17:36 +1030

On Tuesday 25 November 2008 17:15:54 Stephen Rothwell wrote:
> Hi Rusty,
>
> Today's linux-next build (powerpc ppc64_defconfig) failed like this:
>
> arch/powerpc/sysdev/mpic.c:809: error: conflicting types for
> 'mpic_set_affinity' arch/powerpc/sysdev/mpic.h:39: error: previous
> declaration of 'mpic_set_affinity' was here

Thanks, fixed.  Grepping found some more sparc ones, too.

> The declaration in the header file was missed.
>
> Also, the x86_64 allmodconfig build failed like this:
>
> ERROR: "hvc_resize" [drivers/char/virtio_console.ko] undefined!
>
> hvc_resize is currently not exported to modules.
>
> I have dropped the rr tree again.

OK, I've dropped Christian's patch for the moment until he fixes this.  I'm 
travelling to Sydney for the day so I won't get a chance to fix this if it 
breaks tomorrow :(

Rusty.